<?php
class chatbro_Api_Page extends vB_Api_Extensions
{
  public $product = 'chatbro';
  public $version = '1.0.3';
  public $developer = 'Chatbro';
  public $title = 'ChatBro';
  public $infourl = 'http://chatbro.com/documentation/';
  public $minver = '5.0.0';
  public $AutoInstall = 0;
  public $extensionOrder = 5;

  public function fetchPageById($page, $pageid, $routeData = array()) {
	$param = array(
		'chatPath'=>           	     	 vB::getDatastore()->getOption('chatPath'),
		'containerDivId'=>           	 vB::getDatastore()->getOption('containerDivId'),
		'chatLanguage'=>         	     vB::getDatastore()->getOption('chatLanguage'),
		'chatState'=>            	     vB::getDatastore()->getOption('chatState'),
		'chatTop'=>              	     vB::getDatastore()->getOption('chatTop'),
		'chatLeft'=>             	     vB::getDatastore()->getOption('chatLeft'),
		'chatBottom'=>   	 	     	 vB::getDatastore()->getOption('chatBottom'),
		'chatRight'=>			     	 vB::getDatastore()->getOption('chatRight'),
		'chatHeight'=>           	 	 vB::getDatastore()->getOption('chatHeight'),
		'chatWidth'=>   	 	     	 vB::getDatastore()->getOption('chatWidth'),
		'showGuests'=>   	        	 vB::getDatastore()->getOption('showGuests'),
		'siteDomain'=>   	 	    	 vB::getDatastore()->getOption('siteDomain'),
		'chatHeaderBackgroundColor'=> 	 vB::getDatastore()->getOption('chatHeaderBackgroundColor'),
		'chatHeaderTextColor'=>       	 vB::getDatastore()->getOption('chatHeaderTextColor'),
		'chatBodyBackgroundColor'=>      vB::getDatastore()->getOption('chatBodyBackgroundColor'),
		'chatBodyTextColor'=>       	 vB::getDatastore()->getOption('chatBodyTextColor'),
		'chatInputBackgroundColor'=>     vB::getDatastore()->getOption('chatInputBackgroundColor'),
		'chatInputTextColor'=>       	 vB::getDatastore()->getOption('chatInputTextColor'),
		'registerLink'=>       	     	 vB::getDatastore()->getOption('registerLink'),
		'allowSendMessages'=>    	     (bool)vB::getDatastore()->getOption('allowSendMessages'),
		'showSystemMessage'=>    	     (bool)vB::getDatastore()->getOption('showSystemMessage'),
		'allowMoveChat'=>        	     (bool)vB::getDatastore()->getOption('allowMoveChat'),
		'allowUploadMessages'=>  	     (bool)vB::getDatastore()->getOption('allowUploadMessages'),
		'allowResizeChat'=>      	     (bool)vB::getDatastore()->getOption('allowResizeChat'),
		'showChatHeader'=>       	     (bool)vB::getDatastore()->getOption('showChatHeader'),
		'allowMinimizeChat'=>     	     (bool)vB::getDatastore()->getOption('allowMinimizeChat'),
		'showChatMenu'=>         	     (bool)vB::getDatastore()->getOption('showChatMenu'),
		'showChatParticipants'=>  	     (bool)vB::getDatastore()->getOption('showChatParticipants'),

);
	$json_param = json_encode($param);
 	$page['cb_options'] = $json_param;
 	return $page;
 }
}

